This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 523330 - Review Request: maximus - A window management tool
Review Request: maximus - A window management tool
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gareth John
Fedora Extras Quality Assurance
:
: 451771 (view as bug list)
Depends On:
Blocks: FedoraMini/Mobility
  Show dependency treegraph
 
Reported: 2009-09-14 17:58 EDT by Michel Alexandre Salim
Modified: 2010-01-25 16:33 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-25 16:33:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
gareth.l.john: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Michel Alexandre Salim 2009-09-14 17:58:42 EDT
Spec URL: http://salimma.fedorapeople.org/specs/netbook/maximus.spec
SRPM URL: http://salimma.fedorapeople.org/specs/netbook/maximus-0.4.11-1.fc12.src.rpm
Description:
A desktop daemon which will automatically maximise and, optionally,
un-decorate windwos. Has support for exclusion lists and will work
with any EWMH-spec compliant window-manager.

Created for netbook environments where normally every window is
maximised and removing the titlebar would give an extra 24px for the
application to display.
Comment 1 Michel Alexandre Salim 2009-09-14 18:15:44 EDT
Koji F-11 build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1678775
Koji F-12 build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1678731
Comment 2 Fabian Affolter 2009-09-18 03:34:43 EDT
*** Bug 451771 has been marked as a duplicate of this bug. ***
Comment 3 Gareth John 2009-09-18 19:58:43 EDT
OK so other reviews closed will go ahead and review!?
Comment 4 Gareth John 2009-09-18 20:05:23 EDT
Rpmlint output

maximus.i586: W: non-conffile-in-etc /etc/gconf/schemas/maximus.schemas
maximus.i586: W: non-conffile-in-etc /etc/xdg/autostart/maximus-autostart.desktop
2 packages and 0 specfiles checked; 0 errors, 2 warnings.


SOLUTION:

non-conffile-in-etc

W: foo-package non-conffile-in-etc /etc/xdg/menus/applications-merged/foo-package.menu

A non-executable file in your package is being installed in /etc, but is not a configuration file. All non-executable files in /etc should be configuration files. Mark the file as %config in the spec file.

Solution:- under %files section you can add %config /etc/xdg/menus/applications-merged/foo-package.menu
Comment 5 Gareth John 2009-09-18 20:14:24 EDT
Apologies, re. the above comment " %config(noreplace) /etc/your_config_file_here " is a better solution as noreplace flag error comes up after adding %config
Comment 6 Michel Alexandre Salim 2009-09-21 16:38:19 EDT
Ah, thanks for catching that. I fixed that in another netbook package, and missed it for maximus. Fixed it and updated the package to 0.4.12:

http://salimma.fedorapeople.org/specs/netbook/maximus-0.4.11-1.fc12.src.rpm

Koji F-12 build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1695860
Comment 7 Michel Alexandre Salim 2009-09-21 16:49:30 EDT
Missed a new dependency on unique-devel. Same SRPM URL.

Koji F-12 build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1695877

$ rpmlint maximus-0.4.12-1.fc12.x86_64.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 8 Gareth John 2009-09-24 18:21:14 EDT
MUST: rpmlint must be run on every package....OK
MUST: The package must be named to the Package Naming Guidelines....OK
MUST: The spec file name must match the base package %{name}....OK
MUST: The package must meet the Packaging Guidelines....OK
MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines....OK
MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT)....OK
MUST: The spec file must be written in American English....OK
MUST: All filenames in rpm packages must be valid UTF-8....OK
MUST: The package must contain code, or permissable content....OK
MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture....OK
MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT)....OK
MUST: The License field in the package spec file must match the actual license....OK
MUST: A Fedora package must not list a file more than once in the spec file's %files listings....OK
MUST: Permissions on files must be set properly....OK
MUST: The spec file for the package MUST be legible....OK
MUST: The sources used to build the package must match the upstream source, as provided in the spec URL....OK
MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.....OK
MUST: Each package must consistently use macros....OK
MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional....OK
MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc....OK
MUST: Packages must NOT bundle copies of system libraries....ok
MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time....OK
MUST: Header files must be in a -devel package....N/A
MUST: Static libraries must be in a -static package....N/A
MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability)....N/A
MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package....N/A
MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch....N/A
MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.....N/A
MUST: Large documentation files must go in a -doc subpackage....N/A
MUST: If a package includes something as %doc, it must not affect the runtime of the application.....N/A
MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}....N/A
MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built....N/A
MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun....N/A
MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker....N/A
MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation....N/A

All seems well ....... Approved!
Comment 9 Michel Alexandre Salim 2009-09-24 21:00:55 EDT
Many thanks!

New Package CVS Request
=======================
Package Name: maximus
Short Description: A window management tool
Owners: salimma
Branches: EL-5 F-10 F-11
InitialCC:
Comment 10 Kevin Fenzi 2009-09-25 12:23:03 EDT
cvs done.
Comment 11 Peter Robinson 2010-01-25 16:33:38 EST
Closing. In Fedora

Note You need to log in before you can comment on or make changes to this bug.